Slate and application technical requirements

Slate – Minimum configuration

You can use the Slate with the following Mac, PC, or iPad operating systems:

  • PC: Windows 7 or higher version
  • Mac: OS X 10.10.x Yosemite or higher version
  • iPad: iOS 9 or higher version (all iPad models except iPad 1 and 2)
  • iPhone : iOS 9 or higher version (iPhone 6 and 6 Plus, 6S and 6S Plus)
  • Internet access to download the app

Imagink app – Minimum configuration

  • iPad: iOS 9 or higher version
  • iPhone : iOS 9 or higher version
  • PC: Windows 7 or higher version
  • Mac: OS X 10.10.x Yosemite or higher version
Powered by Zendesk